Bug 429440 - Crash after adding new Sessions
Crash after adding new Sessions
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: grsync (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Sebastian Vahl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-19 21:28 EST by Reindl Harald
Modified: 2008-03-01 04:26 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.6.1-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-01 04:26:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reindl Harald 2008-01-19 21:28:29 EST
Description of problem:

Open grsync, enter source/destination and "add"
After typing a name the application crashs
The session will be saved, but you have to start grsync again

dmesg says: grsync[6574]: segfault at 00000069 eip 00bdc12b esp bfdc3d8c error 4


Version-Release number of selected component (if applicable):
[root@nb-rhsoft:~]$ rpm -qa | grep grsync
grsync-0.6-1.fc8

BTW: 
Thank you for taking it in official repo so i must not build from source every
update
Comment 1 Sebastian Vahl 2008-01-22 04:52:47 EST
Confirmed.

I'm no programmer so I cannot say what's going wrong here. I've created some
backtraces and filed a bug upstream:
http://opbyte.freeforums.org/viewtopic.php?p=311#311

FYI: I've missed to push grsync-0.6.1 for F7/F8. But this version is also
crashing. If you want to try it yourself, download it directly from koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=32209
I'll not push this update before the bug is fixed.
Comment 2 Mahmoud Kassem 2008-01-29 03:04:28 EST
please check this bug report, it has a fix:
https://bugs.launchpad.net/ubuntu/+source/grsync/+bug/148272
Comment 3 Sebastian Vahl 2008-01-30 15:43:30 EST
(In reply to comment #2)
> please check this bug report, it has a fix:
> https://bugs.launchpad.net/ubuntu/+source/grsync/+bug/148272

Thanks for the pointer. I included the fix in a scratchbuild:
http://koji.fedoraproject.org/koji/taskinfo?taskID=385048

It's working here, but also please test it Reindl Harald. If it's running, I
will push new packages to rawhide and then to f8/7.

Comment 4 Reindl Harald 2008-01-31 10:57:43 EST
Yes i can confirm the fix
Thank you!
Comment 5 Fedora Update System 2008-02-11 04:33:16 EST
grsync-0.6.1-2.fc8 has been submitted as an update for Fedora 8
Comment 6 Fedora Update System 2008-02-12 23:52:49 EST
grsync-0.6.1-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update grsync'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-1453
Comment 7 Fedora Update System 2008-03-01 04:26:03 EST
grsync-0.6.1-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.